Bug 919625 - virsh iface-bridge, Running 'ifup br0' failed with exit code 3
virsh iface-bridge, Running 'ifup br0' failed with exit code 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: netcf (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-08 18:59 EST by Dean Hunter
Modified: 2013-12-16 14:48 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 14:48:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Hunter 2013-03-08 18:59:20 EST
Description of problem:

virsh iface-bridge fails to start bridge. However, a subsequent virsh iface-start br0


Version-Release number of selected component (if applicable):

libvirt-0.10.2.3-1.fc18.x86_64


How reproducible: Consistent


Steps to Reproduce:

1. Create a new Fedora 18 installation
2. yum update --assumeyes
3. virsh iface-bridge em1 br0

  
Actual results:

Created bridge br0 with attached device em1
error: Failed to start bridge interface br0
error: internal error failed to create (start) interface br0: failed to execute external program - Running 'ifup br0' failed with exit code 3: Error: Timeout 90 sec expired.


Expected results:

Created bridge br0 with attached device em1
Interface br0 started


Additional info:

Before attempting to build the bridge:

[root@host ~]# virsh iface-list --all
Name                 State      MAC Address
--------------------------------------------

em1                  active     00:1c:c4:ae:57:4f
lo                   active     00:00:00:00:00:00


After attempting to build the bridge:

[root@host ~]# virsh iface-list --all
Name                 State      MAC Address
--------------------------------------------
br0                  inactive   9a:6b:33:33:ed:35
lo                   active     00:00:00:00:00:00

[root@host ~]# brctl show
bridge name	bridge id		STP enabled	interfaces
br0		0080.000000000000	yes		
virbr0		8000.525400d6de7f	yes		virbr0-nic

[root@host ~]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:1c:c4:ae:57:4f brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.103/24 brd 192.168.1.255 scope global em1
    inet6 fe80::21c:c4ff:feae:574f/64 scope link 
       valid_lft forever preferred_lft forever
3: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 52:54:00:d6:de:7f brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
4: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN qlen 500
    link/ether 52:54:00:d6:de:7f brd ff:ff:ff:ff:ff:ff
5: br0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 9a:6b:33:33:ed:35 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::986b:33ff:fe33:ed35/64 scope link 
       valid_lft forever preferred_lft forever

[root@host ~]# virsh iface-start br0
Interface br0 started

[root@host ~]# virsh iface-list --all
Name                 State      MAC Address
--------------------------------------------
br0                  active     00:1c:c4:ae:57:4f
lo                   active     00:00:00:00:00:00

[root@host ~]# brctl show
bridge name	bridge id		STP enabled	interfaces
br0		0080.001cc4ae574f	yes		em1
virbr0		8000.525400d6de7f	yes		virbr0-nic

[root@host ~]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq master br0 state UP qlen 1000
    link/ether 00:1c:c4:ae:57:4f brd ff:ff:ff:ff:ff:ff
    inet6 fe80::21c:c4ff:feae:574f/64 scope link 
       valid_lft forever preferred_lft forever
3: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN 
    link/ether 52:54:00:d6:de:7f brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.1/24 brd 192.168.122.255 scope global virbr0
4: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN qlen 500
    link/ether 52:54:00:d6:de:7f brd ff:ff:ff:ff:ff:ff
5: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP 
    link/ether 00:1c:c4:ae:57:4f brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.103/24 brd 192.168.1.255 scope global br0
    inet6 fe80::986b:33ff:fe33:ed35/64 scope link 
       valid_lft forever preferred_lft forever

[root@host ~]#
Comment 1 Dean Hunter 2013-03-08 23:51:11 EST
There seems to be some time required between the virsh commands iface-bridge and iface-start before the iface-start will be successful. As a workaround, systemctl restart NetworkManager.service will cause the bridge to be started.
Comment 2 Dean Hunter 2013-03-09 00:01:35 EST
[root@host ~]#   virsh iface-bridge    em1 br0 --no-start
Created bridge br0 with attached device em1

[root@host ~]#   virsh iface-list      --all
Name                 State      MAC Address
--------------------------------------------
br0                  inactive   
lo                   active     00:00:00:00:00:00

[root@host ~]#   systemctl restart NetworkManager.service  # BR 919625

Wait just a little, checking the logs or status for the restart to complete.

[root@host ~]#   virsh iface-list      --all
Name                 State      MAC Address
--------------------------------------------
br0                  active     00:1c:c4:ae:57:4f
lo                   active     00:00:00:00:00:00

[root@host ~]#   brctl show
bridge name	bridge id		STP enabled	interfaces
br0		0080.001cc4ae574f	yes		em1
virbr0		8000.52540091ed79	yes		virbr0-nic

[root@host ~]#   ip link show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq master br0 state UP mode DEFAULT qlen 1000
    link/ether 00:1c:c4:ae:57:4f brd ff:ff:ff:ff:ff:ff
3: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN mode DEFAULT 
    link/ether 52:54:00:91:ed:79 brd ff:ff:ff:ff:ff:ff
4: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc pfifo_fast master virbr0 state DOWN mode DEFAULT qlen 500
    link/ether 52:54:00:91:ed:79 brd ff:ff:ff:ff:ff:ff
6: br0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP mode DEFAULT 
    link/ether 00:1c:c4:ae:57:4f brd ff:ff:ff:ff:ff:ff

[root@host ~]#
Comment 3 Dean Hunter 2013-03-09 00:17:20 EST
And a request to create a new domain with virt-install using the bridge fails in the Anaconda graphical user interface after selecting the language and while prompting for a network to use. Anaconda is never able to connect using the bridge.

  virt-install \
    --autostart \
    --cpu host \
    --disk path=/var/lib/libvirt/images/Fedora18.img,size=20 \
    --graphics spice \
    --location /home/qemu/ISO/Fedora-18-x86_64-netinst.iso \
    --name Fedora18 \
    --network bridge=br0 \
    --os-type "linux" \
    --os-variant "fedora18" \
    --ram 2048 \
    --vcpus 2 \
    --video qxl
Comment 4 Cole Robinson 2013-12-16 14:48:21 EST
F18 is end-of-life soon, so this issue is unlikely to be fixed there. If you can still reproduce on newer fedora, please reopen.

Note You need to log in before you can comment on or make changes to this bug.